search cancel

Chrome required with Jaspersoft 7.8 installation

book

Article ID: 216706

calendar_today

Updated On:

Products

Clarity PPM On Premise Clarity PPM SaaS

Issue/Introduction

The documentation indicates: Jaspersoft 7.8.0 requires you to install Chrome 85 or higher release on the server where you plan to install Jaspersoft

Why is Chrome/Chromium engine installation required on the server where Jaspersoft will be running? Can the upgrade can be completed without installing it / any alternatives?

Due to security, you may not be able to download and install Chrome on our Linux servers without approval from your Linux administrator

Environment

Release : Jaspersoft 7.8

Resolution

In Jaspersoft 7.8. PhantomJS has been deprecated and replaced with the Chrome engine, which is used to render any HTML 5 or fusion charts-based reports and dashboard. Because of this, it is required to have Google Chrome browser installed on the Jaspersoft server. Without specifying it, the Jaspersoft install/upgrade will not work.

Notes

  • If you remove the browser after the Jaspersoft install is completed, then the chart-based reports may no longer work as expected. This has not been tested or certified. 
  • If you choose to continue the installation without Chrome/Chromium, reports cannot be exported to PDF, DOCX, and other output formats as per Jaspersoft documentation

Additional Information

The change has been documented in What's New in Jaspersoft Version 7.8 for Classic PPM ?

See also: